using System;
using CRVM.Entity;
namespace CRVM
{
    public partial class GraphOrder : WizardBaseChannel
    {
        public GraphOrder()
        {
            InitializeComponent();
        }

        private void MultiChannel_Load(object sender, EventArgs e)
        {

            if (SysParam.Instance.orderByChannel)
            {
                radioButton1.Checked = true;
            }
            else
            {
                radioButton2.Checked = true;
            }

            if (SysParam.Instance.orderBySingleColumn)
            {
                radioButton3.Checked = true;
            }
            else
            {
                radioButton4.Checked = true;
            }

            if (SysParam.Instance.orderByStandnoL2R)
            {
                radioButton5.Checked = true;
            }

            if (SysParam.Instance.orderByStandnoR2L)
            {
                radioButton6.Checked = true;
            }
        }


        private void radioButton1_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton1.Checked)
                SysParam.Instance.orderByChannel = true;
            else
                SysParam.Instance.orderByChannel = false;
        }

        private void radioButton3_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton3.Checked)
            {
                SysParam.Instance.orderBySingleColumn = true;
            }
            else
            {
                SysParam.Instance.orderBySingleColumn = false;
            }
        }

        private void radioButton5_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton5.Checked)
            {
                SysParam.Instance.orderByStandnoL2R = true;
            }
            else
            {
                SysParam.Instance.orderByStandnoL2R = false;
            }
        }

        private void radioButton6_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton6.Checked)
            {
                SysParam.Instance.orderByStandnoR2L = true;
            }
            else
            {
                SysParam.Instance.orderByStandnoR2L = false;
            }
        }

        private void radioButton7_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton7.Checked)
            {
                SysParam.Instance.orderByOther = true;
            }
            else
            {
                SysParam.Instance.orderByOther = false;
            }
        }

    }
}
